Name: apcupsd
Version: 3.6.2
Release: 3
Copyright: GPL
Summary: apcupsd - daemon for Most APCC's UPS support under Linux
Group: Daemons
Source: http://www.brisse.dk/site/apcupsd/%{name}-%{version}.tar.gz
Source1: apcupsd.tl
Source2: halt.tl
Requires: initscripts >= 4.8.5
BuildRoot: /var/tmp/%{name}-%{version}


%changelog
* Wed Oct 20 1999 K.Yoshii <kazutomo@turbolinux.com>
- added require flags   
- updated release 2

* Fri Sep 24 1999 Kazutomo Yoshii <kazutomo@turbolinux.com>
- updated to 3.6.2

* Wed Apr 21 1999 Kazutomo Yoshii <kazutomo@pht.co.jp>
- first release 


%description

apcupsd can be used for controlling the APC SmartUPS.  During a power
failure, "apcupsd" will inform the users about power status. If the
power is restored before valid test return TRUE, "apcupsd" will inform
users about this fact.  If power is not restored, a system shutdown
will follow when the battery is exausted, a timeout (seconds) expires,
or runtime minutes based on internal values based on power consumption
rates.

If you know more detailed information, please see some documents under
/usr/doc/apcupsd-%{version}.


%prep
%setup


%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sbindir=/sbin --enable-powerflute --disable-nls --enable-threads


make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/lib/apcupsd
mkdir -p $RPM_BUILD_ROOT/sbin


make install prefix=$RPM_BUILD_ROOT/usr sbindir=$RPM_BUILD_ROOT/sbin

make install-powerflute prefix=$RPM_BUILD_ROOT/usr sbindir=$RPM_BUILD_ROOT/sbin

install -m 0755 %{SOURCE1}  $RPM_BUILD_ROOT/etc/rc.d/init.d/apcupsd
install -m 0755 examples/apcupsd.conf  $RPM_BUILD_ROOT/etc/apcupsd.conf

%preun
/etc/rc.d/init.d/apcups stop
if [ "$1" = "0" ]; then
  chkconfig --del apcupsd
fi

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr (644, root, root, 755)
%doc COPYING ChangeLog INSTALL TODO doc/* examples/*
%defattr (755, root, root)
/sbin/apcupsd
/sbin/apcaccess
/sbin/powersc
/sbin/powerflute

%defattr (644, root, man)
/usr/man/man8/*
%attr(755,root,root) %dir /usr/lib/apcupsd
%attr(755,root,root) /etc/rc.d/init.d/apcupsd
%attr(-,root,root) %config(noreplace) /etc/apcupsd.conf

